Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.parameter
Class ParameterDescriptorImpl

    java.lang.Object
      com.servingxml.components.parameter.ParameterDescriptorImpl

All Implemented Interfaces:
  ParameterDescriptor

    public class ParameterDescriptorImpl

extends java.lang.Object
implements ParameterDescriptor

Field Summary

Fields inherited from interface com.servingxml.app.ParameterDescriptor
`EMPTY_ARRAY, EMPTY_PARAMETER_DESCRIPTOR_ARRAY`

Constructor Summary
`ParameterDescriptorImpl(Name name, ValueEvaluator valueEvaluator, ValueType valueType)`

Method Summary
`void` | `addParametersTo(ServiceContext context, Flow flow, RecordBuilder parameterBuilder)`
`Name` | `getName()`
`java.lang.String[]` | `getValues(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterDescriptorImpl

    public ParameterDescriptorImpl(Name name,
                                   ValueEvaluator valueEvaluator,
                                   ValueType valueType)

Method Detail

### getName

    public Name getName()

  Specified by:
    `getName` in interface `ParameterDescriptor`

### addParametersTo

    public void addParametersTo(ServiceContext context,
                                Flow flow,
                                RecordBuilder parameterBuilder)

  Specified by:
    `addParametersTo` in interface `ParameterDescriptor`

### getValues

    public java.lang.String[] getValues(ServiceContext context,
                                        Flow flow)

  Specified by:
    `getValues` in interface `ParameterDescriptor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD